Subject: RE: [Simple] Presence Authorization Discussion F: To what does adocument apply

From: [email-masked]
Date: Thu, 28 Oct 2004 15:46:33 +0300

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of ext Jonathan Rosenberg
> Sent: 11.October.2004 11:46
> To: Simple WG
> Subject: [Simple] Presence Authorization Discussion F: To what does
> adocument apply
> 
> 
> We went through a debate on the list about what the authroization 
> document applied to. Does it apply to the entire document, or 
> to tuples 
> individually? Henning had advocated the position that we could add 
> components to the <condition> that selected specific tuples that a 
> document applied to. I had argued that this complicated 
> things, and made 
> it difficult to do things like adjust the <note> which was 
> not specific 
> to a tuple.
> 
> On the list, there was some consensus that the authorization 
> documents 
> should apply to the entire presence document.
> 
> One of the things that the data model does is to make service, person 
> and device "first class citizens", and give them well-defined 
> identifiers (the service URI and device ID) that make useful 
> handles for 
> specifying policies. THus, the model would argue that there 
> is probably 
> value in being able to say something about the information 
> revealed for 
> a specific service.
> 
> Indeed, it occurs to me that there is no particular reason 
> why these are 
> mutually incompatible approaches. If there is no <condition> 
> that says 
> otherwise, an authorization document applies to the entire presence 
> document. We could have <conditions> which identify a 
> specific tuple - 
> in that case, that authorization document would apply to just 
> the tuple. 
>   The document-wide authorization policies are combined, applied, and 
> then the per-tuple ones are combined and applied to each 
> tuple in turn.
> 
> So, I would propose that the *model* allow for such a condition. 
> However, given our lack of clear understanding in what 
> privacy policies 
> we really need, I would suggest punting entirely on the definition of 
> conditions that would select a service or device. Thus, 
> nothing would be 
> provided in the presence authorization specification to support this.

I don't understand your proposal. Are you proposing to do nothing?

/Hisham

> 
> Comments?
> 
> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple